package ru.yandex.autotests.direct.web.objects.adjustment.rates;

import java.util.HashMap;

/**
 * Created by aleran on 13.08.2015.
 */
public class RetargetingMultiplierWeb {
    private Integer enabled;

    private HashMap<String, RetargetingConditionWeb> conditions;

    public Integer getEnabled() {
        return enabled;
    }

    public void setEnabled(Integer enabled) {
        this.enabled = enabled;
    }

    public HashMap<String, RetargetingConditionWeb> getConditions() {
        return conditions;
    }

    public void setConditions(HashMap<String, RetargetingConditionWeb> conditions) {
        this.conditions = conditions;
    }

    public RetargetingMultiplierWeb withConditions(HashMap<String, RetargetingConditionWeb> conditions){
        this.conditions = conditions;
        return this;
    }

    public RetargetingMultiplierWeb withEnabled(Integer enabled){
        this.enabled = enabled;
        return this;
    }
}
